List authorization events
List card network and Moov platform events that affect the authorization and its hold on a wallet balance.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/issued-cards.read scope.
GET
/issuing/{accountID}/authorizations/{authorizationID}/events
curl -X GET "https://api.moov.io/issuing/{accountID}/authorizations/{authorizationID}/events" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.01.00"mc, _ := moov.NewClient()
var merchantID string
var issuedCardID string
mc.ListIssuedCardAuthorizations(ctx, merchantID, moov.WithIssuedCardAuthorizationCardID(issuedCardID))
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.issuingTransactions.listAuthorizationEvents({
accountID: "f30f8cb3-64d8-4a5f-a427-965317fa559a",
authorizationID: "e6a0946d-f3d8-451e-9b1c-5bc346a95dd6",
skip: 60,
count: 20,
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->issuingTransactions->listAuthorizationEvents(
accountID: 'f30f8cb3-64d8-4a5f-a427-965317fa559a',
authorizationID: 'e6a0946d-f3d8-451e-9b1c-5bc346a95dd6',
skip: 60,
count: 20
);
if ($response->issuedCardAuthorizationEvents !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIssuedCardAuthorizationEventsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListIssuedCardAuthorizationEventsResponse res = sdk.issuingTransactions().listAuthorizationEvents()
.accountID("f30f8cb3-64d8-4a5f-a427-965317fa559a")
.authorizationID("e6a0946d-f3d8-451e-9b1c-5bc346a95dd6")
.skip(60L)
.count(20L)
.call();
if (res.issuedCardAuthorizationEvents().isPresent()) {
System.out.println(res.issuedCardAuthorizationEvents().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.issuing_transactions.list_authorization_events(account_id="f30f8cb3-64d8-4a5f-a427-965317fa559a", authorization_id="e6a0946d-f3d8-451e-9b1c-5bc346a95dd6", skip=60, count=20)
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.issuing_transactions.list_authorization_events(account_id: 'f30f8cb3-64d8-4a5f-a427-965317fa559a', authorization_id: 'e6a0946d-f3d8-451e-9b1c-5bc346a95dd6', skip: 60, count: 20)
unless res.issued_card_authorization_events.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.IssuingTransactions.ListAuthorizationEventsAsync(
accountID: "f30f8cb3-64d8-4a5f-a427-965317fa559a",
authorizationID: "e6a0946d-f3d8-451e-9b1c-5bc346a95dd6",
skip: 60,
count: 20
);
// handle responseThe request completed successfully.
[
{
"eventID": "string",
"eventType": "authorization",
"amount": "-14.89",
"result": "approved",
"createdOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.01.00 to use the API described in this specification.
When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here.
An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists.
For example,
v2026.08.00 uses v2026.07.00.
A malformed value, such as 2022, returns a 404 response.
Possible values:
v2026.01.00
Path parameters
accountID
string
required
The Moov business account for which cards have been issued.
authorizationID
string
required
Query parameters
skip
integer
<int64>
count
integer
<int64>
Page size. When omitted, the server defaults to
200.
Response
amount
string<^\d+\.\d{1,2}$>
A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.
createdOn
string<date-time>
eventID
string
The identifier for this event. Use the
eventType field to determine what resource is identified by this ID (authorization, reversal, etc.).
eventType
string<enum>
The type of event that occurred on the card.
Possible values:
authorization,
reversal,
authorization-advice,
authorization-expiration,
authorization-incremental,
clearing
result
string<enum>
The result of an event.
Possible values:
approved,
declined,
processed